using Microsoft.Extensions.Logging;

// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Logger.EonaCatCoreLogger
{
    public class UdpLoggerProvider : ILoggerProvider
    {
        private readonly UdpLoggerOptions _options;

        public UdpLoggerProvider(UdpLoggerOptions options = null)
        {
            if (options == null)
            {
                options = new UdpLoggerOptions();
            }
            _options = options;
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new UdpLogger(categoryName, _options);
        }

        public void Dispose()
        {
            // No unmanaged resources, nothing to dispose here
        }
    }

}
